Bug 25810 - ghostscript can't view Japanese postscript file
Summary: ghostscript can't view Japanese postscript file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-03 01:35 UTC by Bill Huang
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 21:59:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Huang 2001-02-03 01:35:45 UTC
When using gs to view Japanese postscript,letters get scrembled.
In 7J,gs can view Japanese postscript file properly.

VFlib is included in ghostscript in 7J,though it is not included in Fisher.

[root@station23 /root]# rpm -ql ghostscript | grep vflib
/usr/share/ghostscript/5.50/vflib
/usr/share/ghostscript/5.50/vflib/allkanji.ps
/usr/share/ghostscript/5.50/vflib/article9.ps
/usr/share/ghostscript/5.50/vflib/fmaptype.ps
/usr/share/ghostscript/5.50/vflib/hankaku.ps
/usr/share/ghostscript/5.50/vflib/kbase.ps
/usr/share/ghostscript/5.50/vflib/kcomp.ps
/usr/share/ghostscript/5.50/vflib/kconfig.ps
/usr/share/ghostscript/5.50/vflib/kfvflib.ps
/usr/share/ghostscript/5.50/vflib/kinit.ps
/usr/share/ghostscript/5.50/vflib/kmapping.ps
/usr/share/ghostscript/5.50/vflib/koutline.ps
/usr/share/ghostscript/5.50/vflib/metrics2.ps
/usr/share/ghostscript/5.50/vflib/vchars.ps
/usr/share/ghostscript/5.50/vflib/vchars1.ps

Not too sure whether the message can be  a help for solve the problem.

Comment 1 Nakai 2001-02-03 22:39:05 UTC
VFlib2 is in Fisher, and I'm sure we can show Japanese postscript
with just enable_japanese on in the ghostscript spec file.


Comment 2 Glen Foster 2001-02-05 22:58:40 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #1

Comment 3 Crutcher Dunnavant 2001-02-06 18:52:00 UTC
This will be hard to fix.

Comment 4 Nakai 2001-02-06 18:57:08 UTC
set enable_japanese to 1 in .spec file and you'll fix.

Comment 5 Bill Huang 2001-02-07 22:29:10 UTC
After flag enable_japanese is set to 1 in spec file,I rebuild the rpm and
installed.gs can display Japanese ps file properly.


Comment 6 Crutcher Dunnavant 2001-02-08 16:55:51 UTC
we need to establish if it is safe to always use the Japanese version.

Comment 7 Crutcher Dunnavant 2001-02-09 21:59:01 UTC
fixed.

Comment 8 Bill Huang 2001-02-13 01:09:10 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.